% \documentclass[11pt]{../../examjh}
\documentclass[11pt,answers]{../../examjh}
\usepackage{jh}
\usepackage{amsmath,bm}

\examhead{MA 211 Hef{}feron, \yearsemester}{Exam Two}

\newcommand{\dotprod}{\mathbin{\raisebox{.15ex}{$\scriptscriptstyle\stackrel{\bullet}{}$}}}
\newcommand{\colvec}[1]{\begin{pmatrix} #1 \end{pmatrix}}
\renewcommand{\vec}[1]{\mathbf{#1}}
\newcommand{\grad}{\nabla}

\begin{document}

\noindent
For the questions that ask for a numerical answer, give the answer
in symbolic terms, as in $3\pi$ or $5\sqrt{7/3}$.
You can in addition give the answer in numeric terms but you must include the
symbolic version.



\begin{questions}
\question[10]
For $h(x,y)=x^2y-x^4+3\cos(y)$, give the partial derivates $h_x(x,y)$ 
and~$h_y(x,y)$.
\begin{solution}[1in]
We have $h_x(x,y)=2xy-4x^3$ and $h_y(x,y)=x^2-3\sin(y)$. 
\end{solution}



\question[15]
For each limit, if it exists then find it, while if it doesn't exist show that
it doesn't.
\begin{parts}
\part
$\displaystyle
  \lim_{(x,y)\to(0,0)}\frac{y^2}{x^2+y^2}
$
\begin{solution}[2in]
  The limit does not exist.
  If we approach the origin along the $x$-axis, the line $y=0$, then
  we have this limit.
  \begin{equation*}
     \lim_{t\to 0}\frac{0^2}{t^2+0^2}
     =\lim_{t\to 0}\frac{0}{t^2}
     =\infty
  \end{equation*}
  If we approach the origin along the $y$-axis then
  we get this.
  \begin{equation*}
     \lim_{t\to 0}\frac{t^2}{0^2+t^2}
     =\lim_{t\to 0}\frac{t^2}{t^2}
     =1
  \end{equation*}
\end{solution}
\part
$\displaystyle
  \lim_{(x,y)\to(-3,1)}\frac{x^2y-xy^3}{x-y+2}
$
\begin{solution}[2in]
  Observe that plugging $(-3,1)$ into the denominator does not give zero.
  \begin{equation*}
    \lim_{(x,y)\to(-3,1)}\frac{x^2y-xy^3}{x-y+2}=\frac{(-3)^2\cdot 1-(-3)\cdot 1^3}{-3-1+2}
    =\frac{12}{-2}
    =-6
  \end{equation*}
\end{solution}
\end{parts}


\question[15]
Let $f(x,y)=x^2y^3-4y$
and let $\vec{v}=2\vec{i}+5\vec{j}$.
\begin{parts}
\part
Find the gradient.
\begin{solution}[1in]
\begin{equation*}
    \grad f(x,y)=
    \colvec{2xy^3 \\ 3x^2y^2-4}
\end{equation*}
\end{solution}
\part Compute $\grad f(2,-1)$
\begin{solution}[1in]
Plug in $x=2$ and $y=-1$.
\begin{equation*}
    \grad f(x,y)=
    \colvec{-4 \\ 8}      
\end{equation*}
\end{solution}
\part Find the directional derivative in the direction of $\vec{v}$.
\begin{solution}[1.5in]
  The vector $\vec{v}$ is not a unit vector, so we first normalize to
  get $\vec{u}=(2/\sqrt{29})\vec{i}+(5/\sqrt{29})\vec{j}$ in the same 
  direction.
  \begin{equation*}
    D_{\vec{u}}\,f(2,-1)
    =\grad f(2,-1)\dotprod \vec{u}
    =32/\sqrt{29}
  \end{equation*}
\end{solution}

\end{parts}


\question[10]
Find the equation of the plane tangent to 
$z=10-2x^2-y^2$ at $(0,2,6)$.
\begin{solution}[1.5in]
We have $f_x(x,y)=-4x$ and $f_y(x,y)=-2y$.
Plugging in gives $f_x(0,2)=0$ and $f_y(0,2)=-4$.
That makes qn equation of the plane be 
$z-6=0\cdot (x-0)-4\cdot(y-2)$, which simplifies to 
$4y+z=14$.
\end{solution}





\question[15]
Use Lagrange multipliers to find the extreme values of
$f(x,y)=x^2+2y^2$
on the circle $x^2+y^2=1$.
\begin{solution}[3in]
Taking $\nabla f=\lambda\nabla g$ gives a system of three equtations.
\begin{align*}
  2x      &=\lambda\cdot 2x   \\
  4y      &=\lambda\cdot 2y   \\
  x^2+y^2 &=1
\end{align*}
Focusing on the first equation gives two cases, $x=0$ and $x\neq 0$.
For the $x=0$ case, plug into the third equation to get $y=\pm 1$.
The $x\neq 0$ case has two subcases, $y=0$ and $y\neq 0$.
The first subcase in the third equation gives $x=\pm 1$.
The $y\neq 0$ subcase implies that $\lambda=2$ and the first equation then gives
$2x=4x$, which conflicts with the case assumption that $x\neq 0$, and so this
subcase yields no points.
Here is the conclusion.
\begin{center}
  \begin{tabular}{c|cl}
    \multicolumn{1}{r}{\textit{Point $(x,y)$}}
       &\multicolumn{1}{c}{$f(x,y)=x^2+2y^2$}
       &\multicolumn{1}{c}{\textit{Conclusion}}  \\
    \hline
    $(0,1)$   &2  &Local max   \\
    $(0,-1)$  &2  &Local max   \\
    $(1,0)$   &1  &Local min   \\
    $(-1,0)$  &1  &Local min   \\
  \end{tabular}
\end{center}
\end{solution}





\question[10]
Sketch the level curves of the function
$g(x,y)=\sqrt{9-x^2-y^2}$
for levels $k=0,1,2,3$.
\begin{solution}[2in]
Note that the level curves of this function are in the $xy$-plane.
For instance, for $k=2$ we get this.
\begin{align*}
  \sqrt{9-(x^2+y+2)}  &=  2  \\
  9-(x^2+y^2)         &=  4  \\
  5                   &=  x^2+y+2
\end{align*}
\end{solution}





\question[15]
Where $w=2x^2y$, and $x=u^2+v^2$ and $y=u^2-v^2$, find
$\partial w/\partial u$ and $\partial w/\partial v$.
Compute $\partial w/\partial u$ where $u=1$, $v=-1$.
\begin{solution}[1.5in]
The basic equations are this 
\begin{align*}
  \frac{\partial w}{\partial u}
    &=\frac{\partial w}{\partial x}\frac{\partial x}{\partial u}
    +\frac{\partial w}{\partial y}\frac{\partial y}{\partial u}  \\
    &=(4xy)\cdot (2u)+(2x^2)\cdot (2u)
\end{align*}
and this.
\begin{align*}
  \frac{\partial w}{\partial u}
    &=\frac{\partial w}{\partial x}\frac{\partial x}{\partial u}
    +\frac{\partial w}{\partial y}\frac{\partial y}{\partial u}  \\
    &=(4xy)\cdot (2v)+(2x^2)\cdot (-2v)
\end{align*}
To evaluate at $u=1$ and $v=-1$,
note that these values give $x=2$ and $y=0$.
Plugging into the first equation above gives $16$.
\end{solution}



\question[10]
Find, and classify, the local maximum, minimum, and saddle points
of $f(x,y)=x^2+xy+y^2+y$.
\begin{solution}[3.5in]
These are the first and second partials.
\begin{gather*}
  f_x(x,y)=2x+y \quad  f_y(x,y)=2y+x+1 \\
  f_{xx}(x,y)=2 \quad f_{yy}(x,y)=2 \quad f_{xy}(x,y)=1
\end{gather*}
Set $f_x$ to zero, giving $x=-y/2$.
Use that in the equation $f_y=0$ to get $y=-2/3$.
Back substitution then gives $x=1/3$.

As to classification, the fact that this is an upwards parabaloid shows that
this critical point must be a local min.
Or, plugging in $D=2\cdot 2-1^2=3$ and $f_{xx}>0$ also gives that it is a 
local min.
\end{solution}


\end{questions}
\end{document}
